lkml.org 
[lkml]   [2003]   [Feb]   [19]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
Subject[TRIVIAL PATCH 2.5.62] Support make xconfig on Debian sid

I got tired enough of always having to remember to set QTDIR when I build
that I tracked down what it'd take for 'make xconfig' to work out of the
box on Debian sid (unstable). Here's the one line patch to make it work.

Dave McCracken

======================================================================
Dave McCracken IBM Linux Base Kernel Team 1-512-838-3059
dmccr@us.ibm.com T/L 678-3059
--- 2.5.62/scripts/kconfig/Makefile 2003-02-17 16:57:19.000000000 -0600
+++ 2.5.62-anon/scripts/kconfig/Makefile 2003-02-19 14:44:58.000000000 -0600
@@ -38,7 +38,7 @@

# QT needs some extra effort...
$(obj)/.tmp_qtcheck:
- @set -e; for d in $$QTDIR /usr/share/qt /usr/lib/qt*3*; do \
+ @set -e; for d in $$QTDIR /usr/share/qt /usr/share/qt3 /usr/lib/qt*3*; do \
if [ -f $$d/include/qconfig.h ]; then DIR=$$d; break; fi; \
done; \
if [ -z "$$DIR" ]; then \
\
 
 \ /
  Last update: 2005-03-22 13:33    [W:0.037 / U:3.928 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site